For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
BlogLogin
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
      • GETList
      • POSTCreate
      • GETDetail
      • PATCHUpdate
      • POSTPrompt Agent
      • POSTStream Prompt Agent
      • POSTPublic Prompt Agent
LogoLogo
BlogLogin
API Referenceagents

List

GET
https://api.flockx.io/api/v1/agents
GET
/api/v1/agents
$curl https://api.flockx.io/api/v1/agents \
> -H "Authorization: <apiKey>"
1{
2 "items": [
3 {
4 "id": "foo",
5 "name": "foo",
6 "description": "foo",
7 "organization": {
8 "id": "foo",
9 "name": "foo",
10 "owner": {
11 "display_name": "",
12 "image_url": "https://res.cloudinary.com/fetch-ai/image/upload/v1724200421/Default_Avatar_uk7jyj.svg"
13 }
14 },
15 "images": {
16 "image_url": "foo",
17 "banner_url": "foo"
18 },
19 "features": {
20 "discover_activity": true,
21 "location_learning": true,
22 "enable_proactive_message": true,
23 "general_web_search": true,
24 "general_agent_search": true,
25 "planner_mode": true,
26 "enable_media_capability": true,
27 "telegram": true,
28 "discord": true,
29 "calendar_enabled": true,
30 "whatsapp": true,
31 "sms": true,
32 "asi": true,
33 "agentverse": true,
34 "widget_enabled": true
35 },
36 "personality": "",
37 "personal": true,
38 "knowledge_graph": {
39 "id": "foo",
40 "name": "foo"
41 },
42 "website": "foo",
43 "agent_capabilities": "foo",
44 "logic_model_temperature": 0.1,
45 "agent_address": "foo",
46 "agent_handle": "foo",
47 "voice_id": "jqcCZkN6Knx8BJ5TBdYR",
48 "point_of_interest": {
49 "name": "foo",
50 "display_name": "foo",
51 "provider_type": "foo",
52 "street": "foo",
53 "city": "foo",
54 "state": "foo",
55 "postal_code": "foo",
56 "country": "foo",
57 "id": "foo",
58 "description": "",
59 "external_id": "foo",
60 "location": {
61 "type": "Point",
62 "coordinates": [
63 42
64 ]
65 },
66 "url": "",
67 "image_url": "",
68 "metadata": {}
69 },
70 "category": "business_owner",
71 "interest_tags": [
72 "foo"
73 ],
74 "meta_data": {}
75 }
76 ],
77 "meta": {
78 "total": 42,
79 "has_next": true,
80 "has_previous": true,
81 "page": 42
82 }
83}
List, search, and filter for an agent in your organization.
Was this page helpful?

Create

Next
Built with

Authentication

Authorizationstring
API Key authentication via header

Query parameters

sizeintegerOptional1-100Defaults to 50
pageintegerOptional>=1Defaults to 1
sort_orderenum or nullOptional

Sort order (asc or desc)

Allowed values:
querystring or nullOptionalDefaults to
idstring or nullOptionalformat: "uuid"
agent_handlestring or nullOptional
domainstring or nullOptional

Response

Successful Response
itemslist of objects
metaobject

Errors

422
Unprocessable Entity Error